use crate::{Message, SoftwareApp};
use super::common;
use cosmic::Element;

pub fn category_view<'a>(
    app: &'a SoftwareApp,
    title: &'static str,
    width: usize,
) -> Element<'a, Message> {
    common::app_grid_page(
        title,
        &app.page_apps,
        app.page_visible_count,
        app.loading,
        &app.status,
        width,
    )
}
